package de.jg_cody.Teraplex.ui.rooms;

public class ListItemSingle extends ListItem{
    String buttonName;
    String command;
    String name;

    public ListItemSingle(int type, String name,String command,String buttonName ) {
        super(type);
        this.name = name;
        this.buttonName = buttonName;
        this.command = command;

    }
    public void setButtonName(String buttonName)
    {
        this.buttonName = buttonName;
    }
    public void setName(String name)
    {
        this.name = name;
    }
    public String getButtonName()
    {
        return buttonName;
    }
    public String getName()
    {
        return name;
    }
    public void setCommand(String command)
    {
        this.command = command;
    }
    public String getCommand()
    {
        return command;
    }

    @Override
    public String[] getStrings() {
        String[] s = {name, command, buttonName};
        return s;
    }
}
